;;;; System definition for markup handling -*- Lisp -*-
;;;; Copyright (C) 2002-2005 John A.R. Williams <J.A.R.Williams@jarw.org.uk>
;;;; Released under the GNU General Public License (GPL)
;;;; See <http://www.gnu.org/copyleft/gpl.html> for license details
;;;;
;;;; $Id: markup.asd,v 1.4 2007/07/16 07:30:19 willijar Exp $

(in-package :asdf)
(defsystem markup
    :name "markup"
    :description "Library functionality to support Internet Standards"
    :author "Dr. John A.R. Williams"
    :version "0.1"
    :maintainer "Dr. John A.R. Williams"
    :licence "GPL"
    :long-description "Support for s-exp markup handling"
    :depends-on (:jarw :media :regex :split-sequence)
    :components
    ((:file "regex")
     (:file "defpackage" :depends-on ("regex"))
     (:file "markup" :depends-on ("defpackage"))
     (:file "html" :depends-on ("defpackage" "markup" "structured-text"))
     ;;(:file "figures" :depends-on ("defpackage"))
     (:file "strip" :depends-on ("defpackage" "markup"))
     (:file "html-preprocess" :depends-on ( "html"))
     (:file "latex" :depends-on ( "html" "html-preprocess"))
     (:file "rst" :depends-on ("html"))
     (:file "docbook" :depends-on ("html" "html-preprocess"))
     (:file "structured-text" :depends-on ("defpackage" "markup"))))